### Method

# PangoOT Buffer add_glyph

since: 1.4

#### Declaration [src]

    void
    pango_ot_buffer_add_glyph (
      PangoOTBuffer* buffer,
      guint glyph,
      guint properties,
      guint cluster
    )

#### Description [src]

Appends a glyph to a `PangoOTBuffer`, with `properties` identifying which features should be applied on this glyph.

See `pango_ot_ruleset_add_feature()`.

Available since: 1.4

#### Parameters

`glyph`

  Type: `guint`

  The glyph index to add, like a `PangoGlyph`.

`properties`

  Type: `guint`

  The glyph properties.

`cluster`

  Type: `guint`

  The cluster that this glyph belongs to.